//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

// $Header: fsgeterrormsg.c,r42 2006-02-18 04:23:47 ingo $


#include "fsyspriv.h"
#define __READ_ONLY__    __attribute__ ((section(".rodata"))) 

char * const FSErrorMsgArray[] = {
"Invalid error",
// FS_OK
"OK",
// FS_ERROR
"Unknown/hardware/memory error",
// FS_EOF
"End of file",
// FS_BADNAME
"Invalid filename",
// FS_BADVOLUME
"Inexistent/unmounted volume",
// FS_NOTFOUND
"File not found",
// FS_CANTWRITE
"Write error",
// FS_NOCARD
"No card inserted",
// FS_CHANGED
"Card was changed",
// FS_MAXFILES
"No more avail. handles",
// FS_OPENDIR
// FS_OPENFILE
// FS_USED
"File/dir is open",
// FS_DISKFULL
"Disk full",
// FS_EXIST
"File exists"
};


// RETURN ERROR MESSAGE
char *FSGetErrorMsg(int errornum)
{
if(errornum>1 || errornum<-11) errornum=2;
return FSErrorMsgArray[2-errornum];
}
