//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file as well as the entire HPG library was written by Chris Smith
//& for HPGCC 1.0, now maintained by the HPGCC3 team.
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***



#include "hpgraphics.h"
#include "hpgpriv.h"

void hpg_draw_rect_on(hpg_t *g, int x1, int y1, int x2, int y2)
{
    hpg_init();
    if(g==NULL) g=HPG_STDSCREEN;
    if (x2 < x1)
    {
        int temp = x1;
        x1 = x2;
        x2 = temp;
    }

    if (y2 < y1)
    {
        int temp = y1;
        y1 = y2;
        y2 = temp;
    }

    _hpg_draw(g, x1, y1, x2 - x1 + 1, -1, -1);
    if (y2 - y1 == 0) return;

    _hpg_draw(g, x1, y2, x2 - x1 + 1, -1, -1);
    if (y2 - y1 == 1) return;

    int y;
    for (y = y1 + 1; y < y2; y++)
    {
        _hpg_draw(g, x1, y, 1, -1, -1);
        if (x2 != x1) _hpg_draw(g, x2, y, 1, -1, -1);
    }
}
