//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***


// $Id: strncpy.c 393 2007-03-04 23:17:29Z ingo $

#include <hpgcc3.h>

char * strncpy(char *t, const char *s, size_t n)
{
    char *r = t;
    size_t i;
    for(i = 0; i < n && *s; i++)
        *t++ = *s++;
    
    // zero pad target if strlen(s) < n
    // < ibl ; 2006-01-18 >
    
    while (i < n) {
        *t++ = '\0';
        i++;
    }
    
    return r;
}

