//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***


// $Id: sys_error.c 450 2007-09-09 21:43:02Z claudio $

#include <hpgcc3.h>


// ROMLIB CHECKED

//extern int errno;

// < ibl ; 2005-02-08 >

/**
 *    Provide a standardized and centralized entry point for a unified error
 *     handling mechanism.
 *    
 *    To be continued ...
 *    
 **/

void
sys_error(const char *msg, int code)
{


// CHANGED BY CLAUDIO 04-14-2007

    if(( /*errno = */ code ) < 0) {
        // fatal, exit only ...
		throw_exception((char *) (msg? msg:"Unknown ERROR"), __EX_EXIT | __EX_WARM);
    }

	// NON-FATAL ERRORS, GIVE OPTION TO EXIT/CONTINUE
		throw_exception((char *)(msg? msg:"Unknown ERROR"), __EX_CONT | __EX_EXIT | __EX_WARM);
}

