//& *** (c) 2006-2011 The HPGCC3 Team ***
//& Claudio Lapilli
//& Ingo Blank
//&
//& This file is licensed under the terms and conditions of the
//& HPGCC3 license that is included with the source distribution.
//& *** (c) 2006-2011 The HPGCC3 Team ***

#include <master_globals.h>
#include <conio.h>
#include <keyb.h>
#include <ctype.h>


const char const __keys49[]={ //keymap of a HP49 keyboard
0,
8, //1 (backspace)
'U', //2
'/', //3
'*', //4
'-', //5
'+', //6
10, //7
0, //8
'P', //9
'T', //10
'Y', //11
'9', //12
'6', //13
'3', //14
' ', //15
0,
'O', //17
'S', //18
'X', //19
'8', //20
'5', //21
'2', //22
'.', //23
0, //24
'N', //25
'R', //26
'W', //27
'7', //28
'4', //29
'1', //30
'0', //31
0, //32
'M', //33
'Q', //34
'V', //35
0, //36
0, //37
0, //38
0, //39
0, //40
'A', //41
'B', //42
'C', //43
'D', //44
'E', //45
'F', //46
'G', //47
0, //48
0, //49
0, //50
0, //51
0, //52
'H', //53
'I', //54
'J', //55
0, //56
'K', //57
'L', //58
0, //59

0, //60
0, //61
0, //62
0, //63

};

// GENERAL PURPOSE

int getchar()
{
	return (*(__console[__mg->__console_type].getchar))();
}

// NULL CONSOLE

int dummy_getchar()
{
	return 0;
}

// OLD-STYLE CONSOLE

int getchar_orig()
{ 					//reads a character from the keyboard
                    //returns the ASCII keycode for the character
                    
    int keycode = keyb_getkey(1); //get the keycode for the next key

    char * keytab = __keys49; //hardwired to 49 keymap for now

    char key = keytab[KEYCODE(keycode)]; //disregarding the modifier keys, lookup the right character

    //now, if the left shift was pressed, convert any alpha char to lower case

    if(keycode&SHIFT_LSHOLD) key=tolower(key);

    return key;
}

// NEW STYLE CONSOLE DEFINED IN gconsole.cpp SINCE IT REQUIRES C++
